Debian Bug report logs - #655912
transition: libupnp3 -> libupnp6

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nick Leverton <nick@leverton.org>

Date: Sat, 14 Jan 2012 18:36:10 UTC

Severity: normal

Tags: ipv6

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sat, 14 Jan 2012 18:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 18:36:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libupnp3 -> libupnp6
Date: Sat, 14 Jan 2012 18:28:08 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

Upstream for libupnp has changed the soname for the stable branch from
libupnp3 to libupnp6, as a result of the ABI changes in version 1.6 over
the last few years.

As the maintainer of libupnp3 in Debian I am planning to follow this
transition.  I am not a DD so I would appreciate help with NMUs.

I believe the following other binary packages in testing/unstable are affected:
  amule-daemon (src:amule)
  djmount (src:djmount)
  gmediaserver (src:gmediaserver)
  vlc-nox (src:vlc)
  wmaloader (src:wmaloader)

Just for info, affected packages from Squeeze which are not affected in unstable:
  eiskaltdcpp (src:eiskaltdcpp), no longer depends on libupnp at all.

I believe that none of the API changes are relevant to the Debian
dependencies, except for one removal which I've reverted in conjunction
with upstream.  However due to changes in header inclusion, some packages
will need source level patches.

Also, the following packages Build-Depend on libupnp3-dev rather than
libupnp-dev so will need a packaging change and NMU.

  amule
  djmount
  vlc

I'll provide individual dependent bugs and patches in due course.

Note also, libupnp6 introduces support for IPv6, so apps should be
prepared to receive and handle IPv6, including address/fd size changes.

All suggestions for smoothest transition gratefully accepted :-)

Thanks

Nick

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (600, 'stable-updates'), (600, 'stable'), (450, 'oldstable'), (120, 'testing'), (3, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-bpo.2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added blocking bug(s) of 655912: 656831, 656830, 656832, and 656833 Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Sun, 22 Jan 2012 02:09:03 GMT) Full text and rfc822 format available.

Added tag(s) ipv6. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Sun, 22 Jan 2012 02:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Tue, 24 Jan 2012 22:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 Jan 2012 22:27:08 GMT) Full text and rfc822 format available.

Message #14 received at 655912@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Tue, 24 Jan 2012 22:18:40 +0000
Dear release managers,

I think that I've identified all the affected packages for this transition
of libupnp3 to libupnp6, and raised bugs on those which need changes
(vlc: #656830, amule: #656831, djmount: #656832, gmediaserver: #656833).

amule have already fixed the build-depend and uploaded which means that
it will only need a binNMU after transition.

vlc have an upload pending with the build-depend change, but they inform
me that they are blocked by the Iceweasel transition.

djmount and gmediaserver are still awaiting a reply.

wmaloader only needs a binNMU also.

Please could you check my workings as this will be my first transition,
and if possible then make a schedule for this change ?

Thankyou very much,

Nick Leverton




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Tue, 24 Jan 2012 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 Jan 2012 22:39:05 GMT) Full text and rfc822 format available.

Message #19 received at 655912@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nick Leverton <nick@leverton.org>, 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Tue, 24 Jan 2012 23:37:16 +0100
[Message part 1 (text/plain, inline)]
Hi,

Nick Leverton <nick@leverton.org> (24/01/2012):
> Please could you check my workings as this will be my first
> transition, and if possible then make a schedule for this change ?

I'll try and check it up, and where to find a slot compatible with other
transitions. Reminders welcome in any cases.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sun, 05 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Feb 2012 22:30:03 GMT) Full text and rfc822 format available.

Message #24 received at 655912@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nick Leverton <nick@leverton.org>, 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sun, 5 Feb 2012 23:26:58 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (24/01/2012):
> I'll try and check it up, and where to find a slot compatible with
> other transitions. Reminders welcome in any cases.

I think I'll process this one right after x264, which involves vlc too.
See you in a few days, and sorry for the delay.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sun, 05 Feb 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 05 Feb 2012 22:57:06 GMT) Full text and rfc822 format available.

Message #29 received at 655912@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sun, 5 Feb 2012 22:54:12 +0000
On Sun, Feb 05, 2012 at 11:26:58PM +0100, Cyril Brulebois wrote:
> I think I'll process this one right after x264, which involves vlc too.
> See you in a few days, and sorry for the delay.

Thanks for the advice, I saw there are a few in progress at the moment.

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Thu, 16 Feb 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Feb 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #34 received at 655912@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nick Leverton <nick@leverton.org>
Cc: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Fri, 17 Feb 2012 00:36:31 +0100
[Message part 1 (text/plain, inline)]
Nick Leverton <nick@leverton.org> (05/02/2012):
> Thanks for the advice, I saw there are a few in progress at the moment.

FWIW, we're still waiting for vlc to be ready, and #660034 delayed its
migration to testing. Hopefully the situation should be sorted out in a
few days[1], even though iceweasel 10 might bring some more fun…
(Haven't looked deeply at the involved packages yet.)

 1. http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=27;bug=660034

I'm not forgetting about your transition though.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sat, 25 Feb 2012 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 15:00:04 GMT) Full text and rfc822 format available.

Message #39 received at 655912@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nick Leverton <nick@leverton.org>
Cc: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sat, 25 Feb 2012 15:57:32 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (17/02/2012):
> FWIW, we're still waiting for vlc to be ready, and #660034 delayed its
> migration to testing. Hopefully the situation should be sorted out in
> a few days[1], even though iceweasel 10 might bring some more fun…
> (Haven't looked deeply at the involved packages yet.)
> 
>  1. http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=27;bug=660034
> 
> I'm not forgetting about your transition though.

vlc had a new version now and it FTBFSes. :/ iceweasel 10 is done, but
vlc is still involved in unannounced (you can blame Robert Millan for
that) freebsd-libs transition. I'll get back to you once the
freebsd-libs mess [1] is cleaned up.

 1. http://lists.debian.org/debian-release/2012/02/msg00372.html

(Unfortunately, vlc has too many reverse dependencies in testing for us
to consider its removal, even on a temporary basis.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sat, 03 Mar 2012 23:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 23:06:08 GMT) Full text and rfc822 format available.

Message #44 received at 655912@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nick Leverton <nick@leverton.org>
Cc: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sun, 4 Mar 2012 00:03:42 +0100
[Message part 1 (text/plain, inline)]
tag 655912 pending
thanks

Hi Nick,

Cyril Brulebois <kibi@debian.org> (25/02/2012):
> vlc had a new version now and it FTBFSes. :/ iceweasel 10 is done, but
> vlc is still involved in unannounced (you can blame Robert Millan for
> that) freebsd-libs transition. I'll get back to you once the
> freebsd-libs mess [1] is cleaned up.
> 
>  1. http://lists.debian.org/debian-release/2012/02/msg00372.html
> 
> (Unfortunately, vlc has too many reverse dependencies in testing for us
> to consider its removal, even on a temporary basis.)

freebsd-libs just entered testing, and vlc should migrate by tomorrow's
morning run. I'll send a final mail to you to confirm the plan once vlc
is in.

Tagging the bug report accordingly.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 23:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Mon, 12 Mar 2012 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Mar 2012 20:57:06 GMT) Full text and rfc822 format available.

Message #51 received at 655912@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 655912@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Mon, 12 Mar 2012 21:52:53 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar  4, 2012 at 00:03:42 +0100, Cyril Brulebois wrote:

> freebsd-libs just entered testing, and vlc should migrate by tomorrow's
> morning run. I'll send a final mail to you to confirm the plan once vlc
> is in.
> 
Somehow the final mail never happened, but feel free to go ahead and
upload the new libupnp.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Mon, 12 Mar 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Mar 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #56 received at 655912@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Mon, 12 Mar 2012 23:04:14 +0000
On Mon, Mar 12, 2012 at 09:52:53PM +0100, Julien Cristau wrote:
> On Sun, Mar  4, 2012 at 00:03:42 +0100, Cyril Brulebois wrote:
> 
> > freebsd-libs just entered testing, and vlc should migrate by tomorrow's
> > morning run. I'll send a final mail to you to confirm the plan once vlc
> > is in.
> > 
> Somehow the final mail never happened, but feel free to go ahead and
> upload the new libupnp.

Thanks, sorry for the delay as I've been tracking down an upstream
problem whilst doing my release testing, but should be able to upload
in the next couple of days.

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sat, 24 Mar 2012 21:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Mar 2012 21:27:08 GMT) Full text and rfc822 format available.

Message #61 received at 655912@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nick Leverton <nick@leverton.org>, 655912@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sat, 24 Mar 2012 22:24:41 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar 12, 2012 at 23:04:14 +0000, Nick Leverton wrote:

> On Mon, Mar 12, 2012 at 09:52:53PM +0100, Julien Cristau wrote:
> > On Sun, Mar  4, 2012 at 00:03:42 +0100, Cyril Brulebois wrote:
> > 
> > > freebsd-libs just entered testing, and vlc should migrate by tomorrow's
> > > morning run. I'll send a final mail to you to confirm the plan once vlc
> > > is in.
> > > 
> > Somehow the final mail never happened, but feel free to go ahead and
> > upload the new libupnp.
> 
> Thanks, sorry for the delay as I've been tracking down an upstream
> problem whilst doing my release testing, but should be able to upload
> in the next couple of days.
> 
Hi Nick,

any luck? :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Fri, 30 Mar 2012 11:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 30 Mar 2012 11:00:18 GMT) Full text and rfc822 format available.

Message #66 received at 655912@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 655912@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Fri, 30 Mar 2012 11:57:05 +0100
On Sat, Mar 24, 2012 at 10:24:41PM +0100, Julien Cristau wrote:
> > Thanks, sorry for the delay as I've been tracking down an upstream
> > problem whilst doing my release testing, but should be able to upload
> > in the next couple of days.
> > 
> Hi Nick,
> 
> any luck? :)

Hi,

Sorry for delay, I had a bug on the transition from one of my
dependencies, and have been away+offline much of the last two weeks.
Both problems should be sorted this weekend though - will get onto it
as soon as I'm back home!

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Sun, 29 Apr 2012 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Apr 2012 16:48:02 GMT) Full text and rfc822 format available.

Message #71 received at 655912@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Nick Leverton <nick@leverton.org>
Cc: 655912@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Sun, 29 Apr 2012 17:44:24 +0100
tag 655912 + pending
thanks

On Fri, 2012-03-30 at 11:57 +0100, Nick Leverton wrote:
> Sorry for delay, I had a bug on the transition from one of my
> dependencies, and have been away+offline much of the last two weeks.
> Both problems should be sorted this weekend though - will get onto it
> as soon as I'm back home!

The new version of libupnp made it out of NEW in the past few days.
It's now built everywhere except kfreebsd-i386 so I'm looking at
binNMUing the reverse-dependencies.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Mon, 30 Apr 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Apr 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #76 received at 655912@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 655912@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Mon, 30 Apr 2012 20:41:45 +0100
block 655912 with 670962
thanks

On Sun, 2012-04-29 at 17:44 +0100, Adam D. Barratt wrote:
> The new version of libupnp made it out of NEW in the past few days.
> It's now built everywhere except kfreebsd-i386 so I'm looking at
> binNMUing the reverse-dependencies.

The amule binNMUs FTBFS; see #670962.

Regards,

Adam





Added blocking bug(s) of 655912: 670962 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 30 Apr 2012 19:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#655912; Package release.debian.org. (Tue, 01 May 2012 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 May 2012 23:15:04 GMT) Full text and rfc822 format available.

Message #83 received at 655912@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 655912@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Wed, 2 May 2012 01:13:19 +0200
On Sun, Apr 29, 2012 at 17:44:24 +0100, Adam D. Barratt wrote:

> tag 655912 + pending
> thanks
> 
> On Fri, 2012-03-30 at 11:57 +0100, Nick Leverton wrote:
> > Sorry for delay, I had a bug on the transition from one of my
> > dependencies, and have been away+offline much of the last two weeks.
> > Both problems should be sorted this weekend though - will get onto it
> > as soon as I'm back home!
> 
> The new version of libupnp made it out of NEW in the past few days.
> It's now built everywhere except kfreebsd-i386 so I'm looking at
> binNMUing the reverse-dependencies.
> 
So, hrm.  Why do libupnp{3,6} ship multiple libraries with
non-synchronized SONAMEs in a single binary package?  That means they
have to conflict, which is very much suboptimal.

Cheers,
Julien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 16:51:32 GMT) Full text and rfc822 format available.

Notification sent to Nick Leverton <nick@leverton.org>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 16:51:32 GMT) Full text and rfc822 format available.

Message #88 received at 655912-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nick Leverton <nick@leverton.org>, 655912-done@bugs.debian.org
Subject: Re: Bug#655912: transition: libupnp3 -> libupnp6
Date: Mon, 11 Jun 2012 18:39:11 +0200
On Sat, Jan 14, 2012 at 18:28:08 +0000, Nick Leverton wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> Upstream for libupnp has changed the soname for the stable branch from
> libupnp3 to libupnp6, as a result of the ABI changes in version 1.6 over
> the last few years.
> 
libupnp3 is gone from testing, closing this bug.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:53:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.